Find Domain Blacklist Incidents
curl --request POST \
--url https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"filters": {
"url": "track.acme.com",
"status": "active"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents"
payload = { "filters": {
"url": "track.acme.com",
"status": "active"
} }
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {url: 'track.acme.com', status: 'active'}})
};
fetch('https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'url' => 'track.acme.com',
'status' => 'active'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents"
payload := strings.NewReader("{\n \"filters\": {\n \"url\": \"track.acme.com\",\n \"status\": \"active\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"url\": \"track.acme.com\",\n \"status\": \"active\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"url\": \"track.acme.com\",\n \"status\": \"active\"\n }\n}"
response = http.request(request)
puts response.read_body{
"blacklist_incidents": [
{
"network_id": 1,
"url": "track.acme.com",
"domain_type": "tracking",
"identifier": "N5T2KL7CUPYYNBY0",
"status": "active",
"provider": "easylist",
"vendor": "EASYLIST",
"time_created": 1778549980,
"time_saved": 1782437980,
"time_last_observed": 1782437980,
"time_resolved": 0,
"relationship": {
"vendor": {
"provider": "EasyList",
"category": "Advertiser Block List",
"name": "EasyList",
"identifier": "EASYLIST",
"website_url": "https://easylist.to/",
"impact_level": "high"
}
}
}
],
"paging": {
"page": 1,
"page_size": 50,
"total_count": 1
}
}Traffic Health
Find Domain Blacklist Incidents
Traffic Health Premium. Domain blocklist incidents on your premium-monitored domains, with the provider and vendor that flagged each one and when. To see who flagged a domain, filter on its url with status active. Returns an empty list when the network lacks has_blacklist_monitoring.
POST
/
networks
/
traffic
/
tables
/
domains
/
blacklistincidents
Find Domain Blacklist Incidents
curl --request POST \
--url https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"filters": {
"url": "track.acme.com",
"status": "active"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents"
payload = { "filters": {
"url": "track.acme.com",
"status": "active"
} }
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {url: 'track.acme.com', status: 'active'}})
};
fetch('https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'url' => 'track.acme.com',
'status' => 'active'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents"
payload := strings.NewReader("{\n \"filters\": {\n \"url\": \"track.acme.com\",\n \"status\": \"active\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"url\": \"track.acme.com\",\n \"status\": \"active\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/traffic/tables/domains/blacklistincidents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"url\": \"track.acme.com\",\n \"status\": \"active\"\n }\n}"
response = http.request(request)
puts response.read_body{
"blacklist_incidents": [
{
"network_id": 1,
"url": "track.acme.com",
"domain_type": "tracking",
"identifier": "N5T2KL7CUPYYNBY0",
"status": "active",
"provider": "easylist",
"vendor": "EASYLIST",
"time_created": 1778549980,
"time_saved": 1782437980,
"time_last_observed": 1782437980,
"time_resolved": 0,
"relationship": {
"vendor": {
"provider": "EasyList",
"category": "Advertiser Block List",
"name": "EasyList",
"identifier": "EASYLIST",
"website_url": "https://easylist.to/",
"impact_level": "high"
}
}
}
],
"paging": {
"page": 1,
"page_size": 50,
"total_count": 1
}
}Requires Traffic Health Premium (
has_blacklist_monitoring).url with status active.
Pagination is controlled through the page and page_size query parameters, not the JSON request body.Query Parameters
Body
application/json
Was this page helpful?
